AbcdInterpolation Class Reference
Math tools » 1-D Interpolations and corresponding traits

Abcd interpolation between discrete points. More...

`#include <ql/math/interpolations/abcdinterpolation.hpp>`

Inheritance diagram for AbcdInterpolation:
[legend]

## Public Member Functions

template<class I1 , class I2 >

AbcdInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, Real a=-0.06, Real b=0.17, Real c=0.54, Real d=0.17, bool aIsFixed=false, bool bIsFixed=false, bool cIsFixed=false, bool dIsFixed=false, bool vegaWeighted=false, const ext::shared_ptr< EndCriteria > &endCriteria=ext::shared_ptr< EndCriteria >(), const ext::shared_ptr< OptimizationMethod > &optMethod=ext::shared_ptr< OptimizationMethod >())

Public Member Functions inherited from Interpolation
bool | empty () const
Real | operator() (Real x, bool allowExtrapolation=false) const
Real | primitive (Real x, bool allowExtrapolation=false) const
Real | derivative (Real x, bool allowExtrapolation=false) const
Real | secondDerivative (Real x, bool allowExtrapolation=false) const
Real | xMin () const
Real | xMax () const
bool | isInRange (Real x) const
void | update ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Inspectors

Real | a () const
Real | b () const
Real | c () const
Real | d () const
std::vector< Real > | k () const
Real | rmsError () const
Real | maxError () const
EndCriteria::Type | endCriteria ()
template<class I1 >
Real | k (Time t, const I1 &xBegin, const I1 &xEnd) const

## Additional Inherited Members

Public Types inherited from Interpolation
typedef Real | argument_type
typedef Real | result_type
Protected Member Functions inherited from Interpolation
void | checkRange (Real x, bool extrapolate) const
Protected Attributes inherited from Interpolation
ext::shared_ptr< Impl > | impl_

## Detailed Description

Abcd interpolation between discrete points.

Warning:
  See the Interpolation class for information about the required lifetime of the underlying data.

## Constructor & Destructor Documentation

## AbcdInterpolation()

AbcdInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | Real | a = `-0.06`,
|  | Real | b = `0.17`,
|  | Real | c = `0.54`,
|  | Real | d = `0.17`,
|  | bool | aIsFixed = `false`,
|  | bool | bIsFixed = `false`,
|  | bool | cIsFixed = `false`,
|  | bool | dIsFixed = `false`,
|  | bool | vegaWeighted = `false`,
|  | const ext::shared_ptr< EndCriteria > & | endCriteria = `ext::shared_ptr<EndCriteria>()`,
|  | const ext::shared_ptr< OptimizationMethod > & | optMethod = `ext::shared_ptr<OptimizationMethod>()`
| ) |  |

Constructor